Skip to main content

bulkUpdateProjectStatus

Bulk update project status

bulkUpdateProjectStatus(
input: BulkUpdateProjectStatusInput!
): BulkUpdateProjectStatusPayload

Arguments​

bulkUpdateProjectStatus.input ● BulkUpdateProjectStatusInput! non-null input​

Parameters for BulkUpdateProjectStatus

Type​

BulkUpdateProjectStatusPayload object​

Autogenerated return type of BulkUpdateProjectStatus.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateBulkUpdateProjectStatus($input: BulkUpdateProjectStatusInput!) {\n bulkUpdateProjectStatus(input: $input) { clientMutationId projects { collection { __typename } metadata { __typename } } }\n}","variables":{"input":{"ids":["example-id"],"companyId":"<company_id>","projectStatus":"ANALYSIS"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute